#!/bin/sh
export PANEL=/tmp/panel
export IMG23=/tmp/panel/img23.svg
mkdir /tmp/panel
cp img23.svg $IMG23
trap 'rm -rf $PANEL' EXIT

export COLOR1="#5A5353"
export WIN_NAME="PANEL"
export YF=6
export PIC_X=800

get_xy() {
	
  MX="`getcurpos | awk '{print $1}'`"
  MY="`getcurpos | awk '{print $2}'`"
  WX="`xwininfo -name "$WIN_NAME" 2>/dev/null | awk 'NR==4 {print $4}'`"  
  WY="`xwininfo -name "$WIN_NAME" 2>/dev/null | awk 'NR==5 {print $4}'`" 
  WI="`xwininfo -name "$WIN_NAME" 2>/dev/null | awk 'NR==8 {print $2}'`"

  X=$((($MX-$WX)-($WI-$PIC_X)/2))
  Y=$(($MY-$WY-$YF))
  
  # TODAVIA TODO ESTO ESTA POR AJUSTAR.
  # SEGUN LA POSICION DE QUE SE PIQUE EL PUNTERO SI ES UN BOTON HARA QUE SE ENCIENDA LA LUZ NECESARIA.
  
  if  [ $X -lt 213 ] && [ $X -gt 116 ] && [ $Y -lt 260 ] && [ $Y -gt 214 ]; then echo "#0FAB1F" > /tmp/panel/colour.dat; fi   
  if  [ $X -lt 372 ] && [ $X -gt 277 ] && [ $Y -lt 260 ] && [ $Y -gt 214 ]; then echo "#5A5353" > /tmp/panel/colour.dat; fi 
  if  [ $X -lt 560 ] && [ $X -gt 456 ] && [ $Y -lt 260 ] && [ $Y -gt 214 ]; then killall -9 gtkdialog --program=MAIN_DIALOG;  fi 
  
  COLOR1=`cat /tmp/panel/colour.dat`     
  
 echo '  <svg id="svg1"> 
  <rect
     width="739.946960"
     height="398.432922"
     x="0.00"
     y="0.00"
     style="font-size:12;fill:#000000;fill-opacity:1.00;fill-rule:evenodd;stroke-width:3pt;"
     id="rect562" />  
  <ellipse
     cx="117.137650"
     cy="77.314995"
     rx="29.696869"
     ry="26.397209"
     style="font-size:12;fill:'$COLOR1';fill-opacity:0.75;fill-rule:evenodd;stroke-width:3pt;"
     id="path563" />
  <rect
     width="111.363258"
     height="56.0940399"
     x="78.3667374"
     y="206.826370"
     style="font-size:12;fill:#BC710F;fill-opacity:0.75;fill-rule:evenodd;stroke-width:3pt;"
     id="rect564" />
  <rect
     width="111.363258"
     height="56.0940399"
     x="239.224777"
     y="206.826340"
     style="font-size:12;fill:#BC710F;fill-opacity:0.75;fill-rule:evenodd;stroke-width:3pt;"
     id="rect565" />
  <rect
     width="111.363258"
     height="56.0940399"
     x="420.705627"
     y="206.826309"
     style="font-size:12;fill:#BC710F;fill-opacity:0.75;fill-rule:evenodd;stroke-width:3pt;"
     id="rect566" />
  <text
     x="70.00"
     y="242.00"
     style="font-size:18;font-weight:normal;fill:#1306AF;fill-opacity:1.00;stroke-width:3pt;font-family:helvetica;"
     id="text567"
     xml:space="preserve">
    <tspan
       id="tspan568">TURN ON</tspan>
  </text>
  <text
     x="220.00"
     y="242.00"
     style="font-size:18;font-weight:normal;fill:#1306AF;fill-opacity:1.00;stroke-width:3pt;font-family:helvetica;"
     id="text570"
     xml:space="preserve">
    <tspan
       id="tspan571">TURN OFF</tspan>
  </text>
  <text
     x="440.00"
     y="242.00"
     style="font-size:18;font-weight:normal;fill:#1306AF;fill-opacity:1.00;stroke-width:3pt;font-family:helvetica;"
     id="text573"
     xml:space="preserve">
    <tspan
       id="tspan574">EXIT</tspan>
  </text>
 
     </svg>' > $IMG23 
  
}

export -f get_xy


export MAIN_DIALOG='
<window title="'${WIN_NAME}'" decorated="false">
  <vbox>
  <eventbox>
    <pixmap>
      <variable>PICTURE</variable>
      <input file>'$IMG23'</input>
    </pixmap>
      <action signal="button-press-event">enable:varTIMER</action>
      <action signal="button-release-event">disable:varTIMER</action>
  </eventbox>    
    <timer visible="false" milliseconds="true" interval="50" sensitive="false">
      <variable>varTIMER</variable>
      <action>get_xy</action>
      <action>refresh:PICTURE</action>
    </timer>
  
  </vbox>
</window>
'
gtkdialog --program=MAIN_DIALOG
